Cloady Docs
API ReferenceEndpointsWorkspaces

List workspaces for the authenticated user

GET
/api/workspaces
AuthorizationBearer <token>

Personal API token (cldy_…)

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/api/workspaces"
{  "workspaces": [    {      "slug": "string",      "name": "string",      "hues": [        0,        0      ],      "iconUrl": "string",      "usage": {        "cpu": 0,        "memory": 0,        "storage": 0      },      "monthlyCents": 0,      "services": [        {          "slug": "string",          "env": "production",          "name": "string",          "status": "deploying",          "uptime": "string",          "region": "string",          "subServices": [            {              "name": "string",              "image": "string",              "role": "web",              "port": 0,              "status": "deploying",              "limits": {                "cpu": 0,                "memory": 0              }            }          ],          "endpoints": [            {              "component": "string",              "url": "string",              "protocol": "http",              "port": 0,              "custom": true            }          ],          "limits": {            "cpu": 0,            "memory": 0,            "storage": 0          },          "scale": {            "cpu": 0.5,            "memory": 0.5,            "volumes": {              "property1": 1,              "property2": 1            }          },          "source": {            "type": "git",            "repoUrl": "string",            "branch": "string",            "subdir": "string",            "autoDeploy": true,            "branchTracking": {              "mode": "off",              "pattern": "string"            },            "profiles": [              "string"            ]          }        }      ]    }  ]}